Package org.eclipse.emf.cdo.common.revision

# Interface CDORevisionCrawler.FeatureStrategy

Enclosing class:
  `CDORevisionCrawler`

public static interface CDORevisionCrawler.FeatureStrategy
Strategy for deciding how to handle features during crawling.

Author:
  Eike Stepper

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static enum`
`CDORevisionCrawler.FeatureStrategy.Decision`
Decision for feature handling: skip, handle, follow, or both.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final CDORevisionCrawler.FeatureStrategy`
`SINGLE`
Handles only the current feature, does not follow references.
`static final CDORevisionCrawler.FeatureStrategy`
`TREE`
Handles the current feature and follows containment references.

## Method Summary

Modifier and Type
Method
Description
`CDORevisionCrawler.FeatureStrategy.Decision`
`decide(CDORevision revision, EStructuralFeature feature)`
Decides how to handle a feature for a given revision.

## Field Details

### SINGLE

static final CDORevisionCrawler.FeatureStrategy SINGLE
Handles only the current feature, does not follow references.

### TREE

static final CDORevisionCrawler.FeatureStrategy TREE
Handles the current feature and follows containment references.

## Method Details

### decide

CDORevisionCrawler.FeatureStrategy.Decision decide(CDORevision revision, EStructuralFeature feature)
Decides how to handle a feature for a given revision.

Parameters:
  `revision` - the revision
  `feature` - the feature
Returns:
  the decision